import { colors } from "../../styles";

export function StatusTextColor(status: string) {
  if (
    status === "Pending Approval" ||
    status === "Returned: Pending Checking"
  ) {
    return colors.orange;
  } else if (
    status === "Approved" ||
    status === "Finalized" ||
    status === "Borrowed"
  ) {
    return colors.darkgreen;
  } else {
    return colors.red;
  }
}

export function StatusBGColor(status: string) {
  if (
    status === "Pending Approval" ||
    status === "Returned: Pending Checking"
  ) {
    return colors.lightorange;
  } else if (
    status === "Approved" ||
    status === "Finalized" ||
    status === "Borrowed"
  ) {
    return colors.lightgreen;
  } else {
    return colors.lightred;
  }
}
